sensorfw: TemperatureAdaptor Class Reference

sensorfw

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
TemperatureAdaptor Class Reference

`#include <temperatureadaptor.h>`

Inheritance diagram for TemperatureAdaptor:

## Public Member Functions
virtual bool | startSensor ()
virtual void | stopSensor ()
virtual bool | standby ()
virtual bool | resume ()

## Static Public Member Functions
static DeviceAdaptor * | factoryMethod (const QString &id)
| Factory method for gaining a new instance of AccelerometerAdaptor class. More...

## Protected Member Functions
| TemperatureAdaptor (const QString &id)
| Constructor. More...
| ~TemperatureAdaptor ()
virtual unsigned int | evaluateIntervalRequests (int &sessionId) const
| Reimplement to allow for 0 interval to be the slowest entry. More...

## Detailed Description

Definition at line 32 of file temperatureadaptor.h.

## Constructor & Destructor Documentation

## ◆ TemperatureAdaptor()

TemperatureAdaptor::TemperatureAdaptor | ( | const QString & | id | ) |
| protected

Constructor.

Parameters

  id | Identifier for the adaptor.

## ◆ ~TemperatureAdaptor()

TemperatureAdaptor::~TemperatureAdaptor | ( |  | ) |
| protected

## Member Function Documentation

## ◆ evaluateIntervalRequests()

virtual unsigned int TemperatureAdaptor::evaluateIntervalRequests | ( | int & | sessionId | ) | const
| protectedvirtual

Reimplement to allow for 0 interval to be the slowest entry.

## ◆ factoryMethod()

static DeviceAdaptor* TemperatureAdaptor::factoryMethod | ( | const QString & | id | ) |
| inlinestatic

Factory method for gaining a new instance of AccelerometerAdaptor class.

Parameters

  id | Identifier for the adaptor.

Definition at line 40 of file temperatureadaptor.h.

## ◆ resume()

virtual bool TemperatureAdaptor::resume | ( |  | ) |
| virtual

## ◆ standby()

virtual bool TemperatureAdaptor::standby | ( |  | ) |
| virtual

## ◆ startSensor()

virtual bool TemperatureAdaptor::startSensor | ( |  | ) |
| virtual

## ◆ stopSensor()

virtual void TemperatureAdaptor::stopSensor | ( |  | ) |
| virtual

The documentation for this class was generated from the following file:

- adaptors/temperatureadaptor/temperatureadaptor.h